gss_oid_equal(3)

NAME
gss_oid_equal - API function

SYNOPSIS
#include <gss.h>

int gss_oid_equal(gss_const_OID first_oid, gss_const_OID second_oid);

ARGUMENTS

gss_const_OID first_oid
    (Object ID, read) First Object identifier.

gss_const_OID second_oid
    (Object ID, read) First Object identifier.

DESCRIPTION
Compare two OIDs for equality. The comparison is "deep", i.e., the actual byte sequences of the OIDs are compared instead of just the pointer equality. This function is standardized in RFC 6339.

RETURN VALUE
Returns boolean value true when the two OIDs are
  equal, otherwise false.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.